Subject: Re: [PATCH] powerpc: mpc52xx_gpt: fix a potential memory leak

From: "[email-masked]" <[email-masked]>
Date: Mon, 13 Dec 2021 10:26:41 +0800

Michael Ellerman <[email-masked]> wrote:
> > When some internal memory errors happend in of_iomap(), we should free
> > gpt to prevent memory leak.
>
> But it's allocated with devm_kzalloc(), so the devres core is meant to
> free it for us isn't it?

Yes, maybe you are right. I did that as I mentioned when gpt-regs is NULL, it 
will return -ENOMEM, which is the same when gpt is NULL. So I suppose to 
free it in time is better:
>	gpt = devm_kzalloc(&ofdev->dev, sizeof *gpt, GFP_KERNEL);
>	if (!gpt)
>		return -ENOMEM;

cheers